Installing emuNand on firmware 2.4 (old 3ds)

Discussion in '3DS - Flashcards & Custom Firmwares' started by justread, Jul 19, 2016.

  1. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    Hi, I have got an old 3DS with Firmware 2.4 (from 2011). I would like to keep this firmware but play new games (original cartridges). Can I use emuNand to

    1) dump my firmware
    2) boot a new firmware via SD card
    3) Play original cartridges on this new firmware booted from SD card
    4) unlink my sysNand Firmware to make sure it stays how it is
    5) restore the link to sysNand / restore it via the dump

    Can I use just browserhax and some other tools to archive this?
     
  2. Erikku

    Erikku GBATemp's Official Cancer Treatment

    Member
    251
    220
    Jan 21, 2016
    United States
    The channel description
    uh, to my knowledge, I don't think any cfws/emunands were designed for any versions below 3.0
     
    justread likes this.
  3. bitcrush

    bitcrush Member

    Newcomer
    33
    18
    Jun 14, 2016
    justread likes this.
  4. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,372
    1,621
    Feb 13, 2015
    Italy
    Imola
    2.4 doesn't exist... surely you mean 2.x-4?

    There are no cfws that, as released, can be run over 2.x. You will want to backup your nand and dump your OTP (since you're already on 2.x you can use 2xrsa-browserhax), get a game with a 4.0-9.2 update, then you'll be able to directly install a9lh!
    See https://github.com/Plailect/Guide/wiki/9.2.0-Update

    (As technology is today, you can't run 3.x or under on a system with cfw, even if you don't intend to run that operating system through cfw)
     
    justread likes this.
  5. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    Thank you for your help guys :). I will read your links. Would you recommend emuNand or redNand for booting from SD card? Or can just luma custom firmware do this on its own? I like the idea of a region free 3ds, since the pound sterling is dropping because of the Brexit.
     
    Last edited by justread, Jul 19, 2016
  6. TheGreek Boy

    TheGreek Boy GBAtemp Advanced Fan

    Member
    800
    245
    Jan 9, 2016
    Greece
    Behind you.
    FIRST OF ALL DUMP YOUR OTP:teach:
     
    Quantumcat, justread and loco365 like this.
  7. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,316
    2,237
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    Dump your OTP first and foremost. After you do that you can update to 9.2 using rxTools, then you could install a9lh.
    Even if you don't want a9lh for the time being, you might as well dump your OTP in case you ever want to in the future, seemshow you are already on the correct firmware to do so, it would be as easy as dropping a few files on your SD and launching a specific web URL.
    After you dump OTP, I would update to 9.2 even if you don't want a9lh as it's currently the best for running emuNAND.
    I would link to plailect guide, but at this point it may be confusing as what the guide says to do would install a9lh and dump OTP at the same time, which would then basically cause a brick because CFW won't run 2.x and OP would not have a 9.2 backup.
    I feel plailect should make a secondary guide for those who manage to obtain a 3ds that already has 2.x.
     
    justread likes this.
  8. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    TheCyberQuake, Plailect seems nice since it installs luma (regio free gaming, yeah!). Would I do the same as Plailect does, when I dumped my OTP, install 9.2 and install luma by hand?
     
  9. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,316
    2,237
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    justread likes this.
  10. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    Would you guys recommend using emuNand / redNand or writing the custom firmware directly to sysNand? Are there problems with redNand (speed, compatibility)?
     
  11. TheGreek Boy

    TheGreek Boy GBAtemp Advanced Fan

    Member
    800
    245
    Jan 9, 2016
    Greece
    Behind you.
    i recommend using emunand
     
    justread likes this.
  12. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,316
    2,237
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    if you decide to go the A9LH route, there really is no purpose for emuNAND/redNAND, and you overall just get better compatibility with CFW sysNAND. The only benefits of emuNAND/redNAND without A9LH exist for sysNAND with A9LH
     
    justread likes this.
  13. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    Ok I made a backup of the otp and saved several times at different locations. made a backup of the nand of 2.1-4 too. OTP Helper is running. How can I update to 9.2 via otp helper?
     
  14. Jiro2

    Jiro2 GBAtemp Advanced Fan

    Member
    760
    186
    Mar 28, 2011
    United States
    You can't upgrade to 9.2 via OTP Helper. Unfortunately, nobody's written any program which lets you directly update to 9.2 from 2.x, even though in theory it should be possible.

    So you have to follow what the guide lists for 9.2.0 update. The best option is to use a cart to update to 4.x or 6.x, then use the rxtools method of upgrading to 9.2. The alternative methods would require an exploit game.
     
  15. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    We are talking about this guide, right: https://github.com/Plailect/Guide/wiki/9.2.0-Update

    Just to make sure. I have new super mario brothers 2 which should be 4.1 (can i confirm it anywhere?). I will insert the game, update the firmware. How do I start the rxtools 2.5.2? Again via a browser exploit?
     
    Last edited by justread, Jul 21, 2016
  16. TheZoc

    TheZoc GBAtemp Regular

    Member
    234
    21
    Apr 6, 2009
    Brazil
    Rio de Janeiro
    Update: Forget what I posted, this information was wrong.
     
    Last edited by TheZoc, Jul 21, 2016
  17. Quantumcat

    Quantumcat Dead and alive

    Member
    11,579
    6,226
    Nov 23, 2014
    Australia
    Canberra, Australia
    Your username is a bit ironic considering everything is laid out step by step in https://github.com/Plailect/Guide/wiki/9.2.0-Update which has been linked numerous times.
     
  18. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    I have read this guide several times. I just wanted to make sure I understand it correctly. I allready dumped the otp and the nand. I got RX tools. But I am not sure how to start it after updating.

    Do I install the homebrew launcher in 2.1 and update then? Or do I install 4.1 and start RX tools via an other exploit? Do I have to install the launcher homebrew in 4.1 to be able to execute homebrew in 9.2? Or do I use a browser in 9.2 to install the homebrew launcher in it?
     
  19. TheCyberQuake

    TheCyberQuake Certified Geek

    Member
    3,316
    2,237
    Dec 2, 2014
    United States
    Las Vegas, Nevada
    All you do is look at the table on the guide and it tells you:
    "4.X.X Cart Update then rxTools 2.5.2"
    So you update with a cart to 4.x.x, then you use rxTools to install sysUpdater.cia to sysNAND and then run that to update to 9.2. The guide literally says "then", to indicate you do one before the other, and even has a table that lets you find what firmware you are running and what you can do to update it.
     
    justread likes this.
  20. justread
    OP

    justread Member

    Newcomer
    11
    0
    Jul 19, 2016
    Australia
    Ok, thank you for your help and sorry for wasting your time. I was just a bit scared about bricking the 3ds. I will just blindly follow the instructions step by step and stop worrying that a crucial step is missing and not explained. Again thank you for patience and help :).